package com.iamberry.wechat.core.entity.wx;

import java.io.Serializable;
import java.util.Date;

public class ImageTextMore implements Serializable {

	private static final long serialVersionUID = -4445660361194005539L;

	private Long moreImageTextNo;
	private String moreImageTextMD5;
	private Long imageTextNo;
	private String wxpublicNo;
	private String title;
	private String imageUrl;
	private String digest;
	private String mainText;
	private String clickUrl;
	private String clickOutUrl;
	private String sourceUrl;
	private String imageTextType;
	private Date createTime;
	
	
	public String getMoreImageTextMD5() {
		return moreImageTextMD5;
	}
	public void setMoreImageTextMD5(String moreImageTextMD5) {
		this.moreImageTextMD5 = moreImageTextMD5;
	}
	public Long getMoreImageTextNo() {
		return moreImageTextNo;
	}
	public void setMoreImageTextNo(Long moreImageTextNo) {
		this.moreImageTextNo = moreImageTextNo;
	}
	public Long getImageTextNo() {
		return imageTextNo;
	}
	public void setImageTextNo(Long imageTextNo) {
		this.imageTextNo = imageTextNo;
	}
	public String getWxpublicNo() {
		return wxpublicNo;
	}
	public void setWxpublicNo(String wxpublicNo) {
		this.wxpublicNo = wxpublicNo;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getImageUrl() {
		return imageUrl;
	}
	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}
	public String getDigest() {
		return digest;
	}
	public void setDigest(String digest) {
		this.digest = digest;
	}
	public String getMainText() {
		return mainText;
	}
	public void setMainText(String mainText) {
		this.mainText = mainText;
	}
	public String getClickUrl() {
		return clickUrl;
	}
	public void setClickUrl(String clickUrl) {
		this.clickUrl = clickUrl;
	}
	public String getClickOutUrl() {
		return clickOutUrl;
	}
	public void setClickOutUrl(String clickOutUrl) {
		this.clickOutUrl = clickOutUrl;
	}
	public String getSourceUrl() {
		return sourceUrl;
	}
	public void setSourceUrl(String sourceUrl) {
		this.sourceUrl = sourceUrl;
	}
	public String getImageTextType() {
		return imageTextType;
	}
	public void setImageTextType(String imageTextType) {
		this.imageTextType = imageTextType;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
